UserMetricsInput::MetricParameters Class Reference

`#include <libusermetricsinput/MetricManager.h>`

## Public Member Functions

| MetricParameters (const QString &dataSourceId)
MetricParameters & | formatString (const QString &formatString)
MetricParameters & | emptyDataString (const QString &emptyDataString)
MetricParameters & | textDomain (const QString &textDomain)
MetricParameters & | minimum (double minimum)
MetricParameters & | maximum (double maximum)
MetricParameters & | type (MetricType type)
virtual | ~MetricParameters ()

## Public Attributes

QScopedPointer< MetricParametersPrivate > | p

## Detailed Description

Examples
  MetricManagerAdvanced.cpp, MetricManagerIncrementToday.cpp, and MetricManagerUpdateToday.cpp.

## Constructor & Destructor Documentation

## MetricParameters()

UserMetricsInput::MetricParameters::MetricParameters | ( | const QString & | dataSourceId | ) |

explicit

## ~MetricParameters()

virtual UserMetricsInput::MetricParameters::~MetricParameters | ( |  | ) |

virtual

## Member Function Documentation

## emptyDataString()

MetricParameters & UserMetricsInput::MetricParameters::emptyDataString | ( | const QString & | emptyDataString | ) |

## formatString()

MetricParameters & UserMetricsInput::MetricParameters::formatString | ( | const QString & | formatString | ) |

## maximum()

MetricParameters & UserMetricsInput::MetricParameters::maximum | ( | double | maximum | ) |

## minimum()

MetricParameters & UserMetricsInput::MetricParameters::minimum | ( | double | minimum | ) |

## textDomain()

MetricParameters & UserMetricsInput::MetricParameters::textDomain | ( | const QString & | textDomain | ) |

## type()

MetricParameters & UserMetricsInput::MetricParameters::type | ( | MetricType | type | ) |

## Member Data Documentation

## p

QScopedPointer<MetricParametersPrivate> UserMetricsInput::MetricParameters::p

The documentation for this class was generated from the following file:

- MetricManager.h